View Issue Details

IDProjectCategoryView StatusLast Update
0017677CentOS-8xtermpublic2020-08-22 16:13
Reporteriocc 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version8.2.2004 
Target VersionFixed in Version 
Summary0017677: xterm display missing font error but works anyway
DescriptionI start xterm with "xterm -g 80x33 -fg white -bg black -fn 8x13 -rightbar -tn xterm-color".
"-g" part will generate: xterm: cannot load font "-Misc-Fixed-medium-R-*-*-13-120-75-75-C-160-ISO10646-1" error but works anyway.

I guess its something wrong with font section in /usr/share/X11/app-defaults/XTerm* but Im not sure what:
$ grep misc XTerm*
XTerm:*VT100.utf8Fonts.font2: -misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
XTerm:*VT100.utf8Fonts.font: -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
XTerm:*VT100.utf8Fonts.font3: -misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
XTerm:*VT100.utf8Fonts.font4: -misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
XTerm:*VT100.utf8Fonts.font5: -misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
XTerm:*VT100.utf8Fonts.font6: -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1

My locale:
$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC=sv_SE.UTF-8
LC_TIME=en_GB.UTF-8
LC_COLLATE="en_US.UTF-8"
LC_MONETARY=sv_SE.UTF-8
LC_MESSAGES="en_US.UTF-8"
LC_PAPER=sv_SE.UTF-8
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT=sv_SE.UTF-8
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Installed fonts:
$ rpm -qa|grep x11-font|sort
xorg-x11-fonts-100dpi-7.5-19.el8.noarch
xorg-x11-fonts-75dpi-7.5-19.el8.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.el8.noarch
xorg-x11-fonts-ISO8859-15-100dpi-7.5-19.el8.noarch
xorg-x11-fonts-ISO8859-15-75dpi-7.5-19.el8.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.5-19.el8.noarch
xorg-x11-fonts-misc-7.5-19.el8.noarch
xorg-x11-fonts-Type1-7.5-19.el8.noarch
xorg-x11-font-utils-7.5-40.el8.x86_64

xterm version:
$ rpm -q xterm
xterm-331-1.el8.x86_64

It worked fine in CentOS 6.
Steps To Reproducexterm -g 80x33 -fg white -bg black -fn 8x13 -rightbar -tn xterm-color
Additional InformationSee description.
Tagsxterm

Activities

CdeMills

CdeMills

2020-08-21 07:40

reporter   ~0037581

Hello,
can reproduce the behavior. The problem is at the end:
"-Misc-Fixed-medium-R-*-*-13-120-75-75-C-160-ISO10646-1"
the 160 is the "avgWdth" parameter. Have a look in:
/usr/share/X11/fonts/misc/fonts.dir
AvgWidth of 160 seems linked to Asiatic fonts. OTOH there are no fonts at 160 in
/usr/share/X11/app-defaults/XTerm*

Strange.

Pascal Dupuis
iocc

iocc

2020-08-22 16:13

reporter   ~0037583

Good that Im not alone with this problem.
What font is it actually used? Because I still get a 8x13 font, but I dont know which one.
8x13-ISO8859-1.pcf.gz -misc-fixed-medium-r-normal--13-120-75-75-c-80-iso8859-1 maybe?

$ \xterm -report-font -g 80x33 -fg white -bg black -fn 8x13 -rightbar -tn xterm-color
xterm: cannot load font "-Misc-Fixed-medium-R-*-*-13-120-75-75-C-160-ISO10646-1"
Loaded VTFonts(default)
        fNorm: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fBold: -Misc-Fixed-bold-R-*-*-13-120-75-75-C-80-ISO8859-1
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: 0
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fWide: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fWBold: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
Loaded VTFonts(default)
        fNorm: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11 descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fBold: -Misc-Fixed-bold-R-*-*-13-120-75-75-C-80-ISO8859-1
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: 0
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fWide: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2
        fWBold: 8x13
                all chars: no
                default char: 0
                direction: 0
                ascent: 11
                descent: 2
                first char: 0
                last char: 255
                maximum-chars: 256
                missing-chars: 33
                present-chars: 223
                min_byte1: 0
                max_byte1: 0
                properties: 22
                min_bounds:
                        lbearing: 0
                        rbearing: 0
                        width: 8
                        ascent: -1
                        descent: -10
                max_bounds:
                        lbearing: 3
                        rbearing: 8
                        width: 8
                        ascent: 11
                        descent: 2

Its the same with:
$ \xterm -g 80x33 -fg white -bg black -fn 6x10 -rightbar -tn xterm-color
xterm: cannot load font "-Misc-Fixed-medium-R-*-*-10-100-75-75-C-120-ISO10646-1"
It works like expected but displays a error. I get a 6x10 font.

Issue History

Date Modified Username Field Change
2020-08-17 13:22 iocc New Issue
2020-08-17 13:22 iocc Tag Attached: xterm
2020-08-21 07:40 CdeMills Note Added: 0037581
2020-08-22 16:13 iocc Note Added: 0037583